locked
A light-weight WSUS selection for a 8 computer network (Windows 8.1 Pro, Windows 10 v1709 Pro) RRS feed

  • Question

  • Hi there,

    I have 8 computers on our network, half run  Windows 10 Pro (v1709)  and the other half Windows 8.1 Pro. It's the first time I'm setting up WSUS. All I want WSUS to do (for now)  is to deploy critical and security updates for Windows 8.1 and Windows 10 Pro. Will the below settings meet my requirement? What I am particularly confused about is the PRODUCT selection.

    PRODUCTS:
    "Windows 10" (nothing else)
    "Windows 8.1" (nothing else)

    CLASSIFICATIONS
    "Critical Updates"
    "Definition Updates"
    "Security Updates"
    "Service "Packs"

    AUTOMATIC APPROVAL
    "When an update is in: Critical Updates, Security Updates
    "Approve the update for: all computers

    Thanks
    Michelle

    Saturday, December 2, 2017 2:10 PM

All replies

  • Hi,

    >>Will the below settings meet my requirement? What I am particularly confused about is the PRODUCT selection.

    Yes , you are right . It would cover your needs if you are using server 2016 as WSUS server .

    If you are using 2012/R2 , please check the following article:

    "To be able to use WSUS to manage and deploy Windows 10 feature updates, you must have WSUS 4.0, which is available in the Windows Server 2012 R2 and Windows Server 2012 operating systems. In addition to WSUS 4.0, you must install the KB3095113 and KB3159706 patches on the WSUS server."

    https://docs.microsoft.com/en-us/windows/deployment/update/waas-manage-updates-wsus

    Generally , we may install these updates first for 2012/R2 WSUS server then sync WSUS server .

    Hope it is useful to you . 

    Best Regards,

    Elton


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    Monday, December 4, 2017 12:13 PM
  • Hi Elton,

    Thank-you for your reply. I think I know the answer to my question but I just want to be sure: Since I've only selected the Classification options which are in BOLD below - is my understanding correct that I need not have WSUS 4.0 (I have 3.2)?

    PRODUCTS & CLASSIFICATIONS

    1. Critical Update
    2. Definition Update
    3. Drivers
    4. Feature Packs
    5. Security Updates
    6. Service Packs
    7. Tools
    8. Update Rollups
    9. Updates
    10. Upgrades

    Thanks,
    Michelle

    Monday, December 4, 2017 12:30 PM
  • Hi,

    >>is my understanding correct that I need not have WSUS 4.0 (I have 3.2)?

    Yes, the collection of classifications are correct (AFAIK , there is no SP for windows 8 and later version at present . You can remove "service Packs").

    Further more , Microsoft recommends us to use WSUS 4.0 to serve windows 10 client .

    "
    Technically, itcan provide minimal Windows 10 update support (i.e., sync and distribute security updates), but the experience is less than ideal.  As an example, the Windows 10 machines will display as “Windows Vista” for those remaining on WSUS 3.0 SP2.
    "

    https://blogs.technet.microsoft.com/wsus/2016/01/22/for-those-on-wsus-3-0-sp2-or-sbs-2011/

    Hope it is useful to you .

    Best Regards,

    Elton


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    • Proposed as answer by Elton_Ji Wednesday, January 10, 2018 3:43 PM
    Wednesday, December 6, 2017 2:22 AM